zsh-workers
 help / color / mirror / code / Atom feed
* PATCH: Nitpicking in mkmakemod.sh
@ 2005-08-08 17:37 Thorsten Dahlheimer
  0 siblings, 0 replies; only message in thread
From: Thorsten Dahlheimer @ 2005-08-08 17:37 UTC (permalink / raw)
  To: zsh-workers

[-- Attachment #1: Type: text/plain, Size: 133 bytes --]

This fixes the cleanup-on-exit traps in mkmakemod.sh, which used to
do the cleanup, but wouldn't exit.

Regards,
Thorsten Dahlheimer

[-- Attachment #2: mkmakemod.patch --]
[-- Type: application/octet-stream, Size: 1614 bytes --]

Index: Src/mkmakemod.sh
===================================================================
RCS file: /cvsroot/zsh/zsh/Src/mkmakemod.sh,v
retrieving revision 1.13
diff -u -p -r1.13 mkmakemod.sh
--- Src/mkmakemod.sh	14 Feb 2004 18:50:17 -0000	1.13
+++ Src/mkmakemod.sh	8 Aug 2005 14:46:22 -0000
@@ -37,7 +37,7 @@
 # `:<<\Make' and `Make' -- this will be copied into Makemod.in.
 #
 # The resulting Makemod.in knows how to build each module that is defined.
-# For each module in also knows how to build a .mdh file.  Each source file
+# For each module it also knows how to build a .mdh file.  Each source file
 # should #include the .mdh file for the module it is a part of.  The .mdh
 # file #includes the .mdh files for any module dependencies, then each of
 # $headers, and then each .epro (for global declarations).  It will
@@ -92,7 +92,7 @@ if $first_stage; then
 
     dir_top=`echo $the_subdir | sed 's,[^/][^/]*,..,g'`
 
-    trap "rm -f $the_subdir/${the_makefile}.in" 1 2 15
+    trap "rm -f $the_subdir/${the_makefile}.in; exit 1" 1 2 15
     echo "creating $the_subdir/${the_makefile}.in"
     exec 3>&1 >$the_subdir/${the_makefile}.in
     echo "##### ${the_makefile}.in generated automatically by mkmakemod.sh"
@@ -466,11 +466,11 @@ if $first_stage; then
 fi
 
 if $second_stage ; then
-    trap "rm -f $the_subdir/${the_makefile}" 1 2 15
+    trap "rm -f $the_subdir/${the_makefile}; exit 1" 1 2 15
 
     ${CONFIG_SHELL-/bin/sh} ./config.status \
 	--file=$the_subdir/${the_makefile}:$the_subdir/${the_makefile}.in ||
-    return 1
+    exit 1
 fi
 
 exit 0

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2005-08-08 18:13 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2005-08-08 17:37 PATCH: Nitpicking in mkmakemod.sh Thorsten Dahlheimer

Code repositories for project(s) associated with this public inbox

	https://git.vuxu.org/mirror/zsh/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).